| CRM64Pro GDK v0.16.0 A free cross-platform game development kit built on top of SDL 3.0

Loading...
Searching...
No Matches
CRM64Pro::GFX
Graphics modules » GFX

GFX class. More...

## Detailed Description

GFX class.

## Public Member Functions
bool | info (Sint32 iMode=0) override
| Request GFX Interface information.
bool | setSurfacePixel (float fX, float fY, Uint32 iColor, SDL_Surface *pSurf)
| Draw a pixel in a surface.
Uint32 | getSurfacePixel (float fX, float fY, SDL_Surface *pSurf) const
| Get a pixel color from a surface.
bool | setPixel (float fX, float fY, Uint32 iColor, Sint32 idRes=0)
| Draw a pixel.
bool | setPixel (float fX, float fY, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a pixel.
Uint32 | getPixel (float fX, float fY, Sint32 idRes=0) const
| Get a pixel color.
bool | lineH (float fX1, float fX2, float fY, Uint32 iColor, Sint32 idRes=0)
| Draw a horizontal line.
bool | lineH (float fX1, float fX2, float fY, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a horizontal line.
bool | lineV (float fX, float fY1, float fY2, Uint32 iColor, Sint32 idRes=0)
| Draw a vertical line.
bool | lineV (float fX, float fY1, float fY2, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a vertical line.
bool | line (float fX1, float fY1, float fX2, float fY2, Uint32 iColor, Sint32 idRes=0)
| Draw a line.
bool | line (float fX1, float fY1, float fX2, float fY2, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a line.
bool | rect (float fX1, float fY1, float fX2, float fY2, Uint32 iColor, Sint32 idRes=0)
| Draw an outlined rectangle.
bool | rect (float fX1, float fY1, float fX2, float fY2, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw an outlined rectangle.
bool | rectFilled (float fX1, float fY1, float fX2, float fY2, Uint32 iColor, Sint32 idRes=0)
| Draw a filled rectangle.
bool | rectFilled (float fX1, float fY1, float fX2, float fY2, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a filled rectangle.
bool | rectRound (float fX1, float fY1, float fX2, float fY2, float fRad, Uint32 iColor, Sint32 idRes=0)
| Draw a round outlined rectangle.
bool | rectRound (float fX1, float fY1, float fX2, float fY2, float fRad, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a round outlined rectangle.
bool | rectFilledRound (float fX1, float fY1, float fX2, float fY2, float fRad, Uint32 iColor, Sint32 idRes=0)
| Draw a round filled rectangle.
bool | rectFilledRound (float fX1, float fY1, float fX2, float fY2, float fRad, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a round filled rectangle.
bool | arc (float fX, float fY, float fRad, float fStart, float fEnd, Uint32 iColor, Sint32 idRes=0)
| Draw an arc.
bool | arc (float fX, float fY, float fRad, float fStart, float fEnd, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw an arc.
bool | circle (float fX, float fY, float fRad, Uint32 iColor, Sint32 idRes=0)
| Draw an outlined circle.
bool | circle (float fX, float fY, float fRad, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw an outlined circle.
bool | circleFilled (float fX, float fY, float fRad, Uint32 iColor, Sint32 idRes=0)
| Draw a filled circle.
bool | circleFilled (float fX, float fY, float fRad, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a filled circle.
bool | ellipse (float fX, float fY, float fRadX, float fRadY, Uint32 iColor, Sint32 idRes=0)
| Draw an outlined ellipse.
bool | ellipse (float fX, float fY, float fRadX, float fRadY, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw an outlined ellipse.
bool | ellipseFilled (float fX, float fY, float fRadX, float fRadY, Uint32 iColor, Sint32 idRes=0)
| Draw a filled ellipse.
bool | ellipseFilled (float fX, float fY, float fRadX, float fRadY, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a filled ellipse.
bool | polygon (float *fVX, float *fVY, Sint32 iNV, Uint32 iColor, Sint32 idRes=0)
| Draw an outlined polygon.
bool | polygon (float *fVX, float *fVY, Sint32 iNV, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw an outlined polygon.
bool | polygonFilled (float *fVX, float *fVY, Sint32 iNV, Uint32 iColor, Sint32 idRes=0)
| Draw a filled polygon.
bool | polygonFilled (float *fVX, float *fVY, Sint32 iNV, Uint8 iR, Uint8 iG, Uint8 iB, Uint8 iA, Sint32 idRes=0)
| Draw a filled polygon.
bool | RGBtoHSV (Uint8 iR, Uint8 iG, Uint8 iB, float *fH, float *fS, float *fV)
| Color conversion from RGB to HSV.
bool | HSVtoRGB (float fH, float fS, float fV, Uint8 *iR, Uint8 *iG, Uint8 *iB)
| Color conversion from HSV to RGB.
bool | RGBtoYUV (Uint8 iR, Uint8 iG, Uint8 iB, Uint8 *iY, Uint8 *iU, Uint8 *iV)
| Color conversion from RGB to YUV.
bool | YUVtoRGB (Uint8 iY, Uint8 iU, Uint8 iV, Uint8 *iR, Uint8 *iG, Uint8 *iB)
| Color conversion from YUV to RGB.
bool | RGBtoCMYK (Uint8 iR, Uint8 iG, Uint8 iB, Uint8 *iC, Uint8 *iM, Uint8 *iY, Uint8 *iK)
| Color conversion from RGB to CMYK.
bool | CMYKtoRGB (Uint8 iC, Uint8 iM, Uint8 iY, Uint8 iK, Uint8 *iR, Uint8 *iG, Uint8 *iB)
| Color conversion from CMYK to RGB.
bool | RGBtoYCC (Uint8 iR, Uint8 iG, Uint8 iB, Uint8 *iY, Uint8 *Cb, Uint8 *Cr)
| Color conversion from RGB to YCC.
bool | YCCtoRGB (Uint8 iY, Uint8 Cb, Uint8 Cr, Uint8 *iR, Uint8 *iG, Uint8 *iB)
| Color conversion from YCC to RGB.